<?php
/**
* MyPhotoPortalPlugin.class.php
* 
* Plugin zum Anzeigen von Photoalben auf der Portalseite
* 
* @author               Jan Kulmann <jankul@zmml.uni-bremen.de>
*
* DEDICATION
*
* This plugin is dedicated to my one and only very best girl friend Nadine.
*
*/

// +---------------------------------------------------------------------------+
// This file is NOT part of Stud.IP
// Copyright (C) 2007 Jan Kulmann <jankul@zmml.uni-bremen.de>
// +---------------------------------------------------------------------------+
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or any later version.
// +---------------------------------------------------------------------------+
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
// +---------------------------------------------------------------------------+

require_once("classes/myphoto/MyPhoto.class.php");
require_once("classes/myphoto/Photo.class.php");
require_once("classes/myphoto/Album.class.php");
require_once("classes/myphoto/Comment.class.php");
require_once("classes/myphoto/Controller.class.php");
require_once ("lib/functions.php");
require_once ("lib/messaging.inc.php");

class MyPhotoPortalPlugin extends AbstractStudIPPortalPlugin {

	var $view;
	var $items_per_page = 16;
	var $mp;

	function MyPhotoPortalPlugin(){
		parent::AbstractStudIPPortalPlugin();
		bindtextdomain('mp',dirname(__FILE__).'/locale');
		$this->mp = new MyPhoto();
		$this->setPluginIconName('images/myphoto_icon.jpg');
	}
	
	function setPluginpath($newpath){
		parent::setPluginpath($newpath);
		$this->mp->setPluginobject($this);
		$this->buildMenu();
	}

	function buildMenu(){
		$tab = new PluginNavigation();
		$tab->setDisplayname(_("MyPhotos"));
		$tab->setActive();

		$this->setNavigation($tab); 
		$this->mp->set_homepage_view(TRUE);
		$this->mp->set_range_id("");
	}

	function getNavigation() {
		return $this->navigation;
	}

	function getPluginName() {
		return "MyPhotos";
	}
	
	function hasAdministration() {
		return FALSE;
	}

	function showOverview() {
		global $SessSemName, $perm;
		
		$this->mp->get_stylesheets();

		$modus = $_REQUEST['modus'];
		if ($modus != "") {
			if ($modus == "view_album") {
	        	        $this->mp->public_view_album($_REQUEST['album_id']);
               		}
			if ($modus == "make_comment") {
                                $co = new Comment();
               	                $co->set_photo_id($_REQUEST['photo_id']);
                       	        $co->set_user_id($GLOBALS['auth']->auth['uid']);
                               	$co->set_mkdate(time());
	                        $co->set_comment($_REQUEST['comment']);
                                $co->save();
				$p = new Photo();
				$p->load($_REQUEST['photo_id']);
				$a = new Album();
				$a->load($p->get_album_id());
				$messaging=new messaging;
				$msg = sprintf(_("%s hat ein Foto im Album \"%s\" kommentiert."),get_vorname($GLOBALS['auth']->auth["uid"]),$a->get_titel());
				$messaging->insert_message(mysql_escape_string($msg), get_username($p->get_user_id()), $GLOBALS['auth']->auth["uid"], FALSE, FALSE, 1, FALSE, _("Foto-Kommentar"));
	                        $modus = "show_photo_maxsize";
                        }
			if ($modus == "show_photo_maxsize") {
				$this->mp->public_show_foto_maxsize($_REQUEST['photo_id']);
			}
		} else
			$this->mp->public_show_albums_portal(); 
	}

}

?>
