<?php
/**
* SlideShowHandler.class.php
*
* @author               Jan Kulmann <jankul@zmml.uni-bremen.de>
*/

// +---------------------------------------------------------------------------+
// This file is NOT part of Stud.IP
// Copyright (C) 2007 Jan Kulmann <jankul@zmml.uni-bremen.de>
// +---------------------------------------------------------------------------+
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or any later version.
// +---------------------------------------------------------------------------+
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
// +---------------------------------------------------------------------------+

require_once "Album.class.php";
require_once "Controller.class.php";

class SlideShowHandler {
	var $a_id;
	var $a;
	var $c;
	var $plugin_path;

	function SlideShowHandler(){
		$this->a_id = "";
		$this->a = null;
		$this->c = new Controller();
		$this->plugin_path = "";
	}

	function set_plugin_path($s) {
		$this->plugin_path = $s;
	}

	function set_album_id($s) {
		if (trim($s) != "") {
			$this->a_id = trim($s);
			$this->a = new Album();
			$this->a->load($this->a_id);
		}
	}

	function show_content() {

		$assets = $GLOBALS['ASSETS_URL']."/images";
		$album_id = $this->a_id;
		$path = $this->plugin_path;
		$first_id = $this->c->get_first_photo_id($this->a_id);

		$slides = "";
		$imgs = "";
                $photos = $this->c->get_all_photos_in_album($album_id);
                if (count($photos) > 0) {
                        $ind = 0;
                        foreach ($photos as $p) {
                                //$imgs .= "                t_img[$ind] = \"".$GLOBALS['ABSOLUTE_URI_STUDIP']."/$path/download.php?photo_id=".$p->get_photo_id()."\";\n";
				if ($p->get_photo_id() != $first_id)
					$slides .= "<a href=\"".$GLOBALS['ABSOLUTE_URI_STUDIP']."/$path/download.php?photo_id=".$p->get_photo_id()."\" rel=\"lyteshow[slides]\" TITLE=\"".htmlReady($p->get_titel())."\"></a>\n";
                                $ind++;
                        }
                }

		/*
		$out = <<<ENDHTML
<div id="SlideShow" style="position:absolute; top:500; left:0; display:none; width:820px; height:840px; min-width:820px; min-height:840px; z-index:999;">
        <div style="background-color:#ffd; border:1px solid yellow; padding:30px 10px 10px 10px; text-align:left;">
                <div id="SlideShow_move" style="position:absolute; width:99%; top:2px; left:2px; font-weight:bold; font-size:smaller; color:#000; cursor:move;" title="verschieben">
                        &nbsp;Slideshow
			<SPAN ID="countdown"></SPAN>
                </div>
                <div id="ausblenden" style="position:absolute; top:2px; left:800px; width:17px; z-index:1000; cursor:pointer;" title="ausblenden" onclick="SlideShowClose();">
			<img src="$assets/x_transparent.gif" alt="ausblenden" />
                </div>
		<CENTER>
                <div id="SlideShow_txt" style="position:static; background-color:#ffd; font-size:smaller;">
                        &nbsp;
                </div>
		</CENTER>
        </div>
</div>
	<script type="text/javascript" language="javascript">
        // <![CDATA[

        var id_current = 0;

	function show_countdown(x) {
		if (x > 0) x--;
		$('countdown').innerHTML = x;
		if (x > 0) window.setTimeout("show_countdown('"+x+"')",1000);
	}

        function show_album() {
		show_countdown(11);
                var t_img = new Array();
                $imgs
                var img = $('slideshow_img');

                //Element.hide('slideshow_img');
                img.src = '';
                if (id_current < (t_img.length-1)) id_current++;
                else id_current = 0;
                img.src = t_img[id_current];
                //new Effect.Appear('slideshow_img');

                window.setTimeout("show_album()",10000);
        }

        function SlideShowClose(){
                new Ajax.Request("$path/slideShowServer.php?ajax_cmd=SlideShow&ajax_cmd2=close&album_id=$album_id");
                Effect.Fade('SlideShow', {duration: 0.3});
        }

        new Draggable('SlideShow',{ghosting: false, scroll:window, handle:'SlideShow_move'});

        function start_slideshow () {
                if ($("SlideShow").visible()) {
                        new Ajax.Request("$path/slideShowServer.php?ajax_cmd=SlideShow&ajax_cmd2=close&album_id=$album_id");
                        Effect.SlideUp("SlideShow", {duration: 0.3});
                } else {
                        new Ajax.Request("$path/slideShowServer.php?ajax_cmd=SlideShow&album_id=$album_id", {
                                onSuccess: function(transport){
                                        $("SlideShow_txt").update(transport.responseText);
                                        Effect.SlideDown("SlideShow",{ duration: 0.3,
                                                afterFinish: function(){
                                                        Effect.Fade("SlideShow", {to: 0.95 });  // for IE
                                                        new Effect.ScrollTo("SlideShow", {offset:-120});
                                                }
                                        });
                                        show_album();
                                        }
                                });
                }
        }
        // ]]>
	</script>
ENDHTML;
		echo $out;
		*/
		echo "\n<DIV STYLE=\"display:none;\">$slides</DIV>\n";

	}

	function get_next_image_id($prev_id) {
		echo $this->a->get_next_photo_id($this->a_id, $prev_id);
	}

	function get_image() {
		return "<IMG ID=\"slideshow_img\" SRC=\"".$GLOBALS['ABSOLUTE_URI_STUDIP']."/plugins/packages/ZMML/MyPhotoPlugin/download.php?photo_id=".$this->c->get_first_photo_id($this->a_id)."\" BORDER=\"0\"\" />";
	}
}
?>
